Bug 186560 - [GTK][WPE] WebDriver: handle acceptInsecureCertificates capability
Summary: [GTK][WPE] WebDriver: handle acceptInsecureCertificates capability
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebDriver (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords: Gtk, InRadar
Depends on:
Blocks:
 
Reported: 2018-06-12 05:39 PDT by Carlos Garcia Campos
Modified: 2018-06-14 00:25 PDT (History)
14 users (show)

See Also:


Attachments
Patch (22.92 KB, patch)
2018-06-12 05:47 PDT, Carlos Garcia Campos
no flags Details | Formatted Diff | Diff
Patch (23.23 KB, patch)
2018-06-12 05:55 PDT, Carlos Garcia Campos
bburg: review-
ews: commit-queue-
Details | Formatted Diff | Diff
Archive of layout-test-results from ews202 for win-future (12.99 MB, application/zip)
2018-06-12 08:24 PDT, Build Bot
no flags Details
Updated patch (23.30 KB, patch)
2018-06-12 23:45 PDT, Carlos Garcia Campos
bburg: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Carlos Garcia Campos 2018-06-12 05:39:05 PDT
We currently process the capability, but it's not sent to the browser so it's actually ignored.
Comment 1 Carlos Garcia Campos 2018-06-12 05:47:45 PDT
Created attachment 342526 [details]
Patch
Comment 2 Build Bot 2018-06-12 05:49:20 PDT
Thanks for the patch. If this patch contains new public API please make sure it follows the guidelines for new WebKit2 GTK+ API. See http://trac.webkit.org/wiki/WebKitGTK/AddingNewWebKit2API
Comment 3 Carlos Garcia Campos 2018-06-12 05:55:10 PDT
Created attachment 342527 [details]
Patch
Comment 4 Build Bot 2018-06-12 08:23:58 PDT
Comment on attachment 342527 [details]
Patch

Attachment 342527 [details] did not pass win-ews (win):
Output: http://webkit-queues.webkit.org/results/8147166

New failing tests:
http/tests/security/canvas-remote-read-remote-video-redirect.html
http/tests/preload/onload_event.html
Comment 5 Build Bot 2018-06-12 08:24:10 PDT
Created attachment 342537 [details]
Archive of layout-test-results from ews202 for win-future

The attached test failures were seen while running run-webkit-tests on the win-ews.
Bot: ews202  Port: win-future  Platform: CYGWIN_NT-6.1-2.9.0-0.318-5-3-x86_64-64bit
Comment 6 Brian Burg 2018-06-12 16:10:44 PDT
Comment on attachment 342527 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=342527&action=review

Everything else looks fine except the issue noted.

> Source/WebDriver/ChangeLog:9
> +        cabaility is sent.

Nit: capability

> Source/WebKit/UIProcess/Cocoa/AutomationClient.mm:89
> +    dispatch_async(dispatch_get_main_queue(), ^{

r- because this causes a UAF (which I only caught by applying manually and running tests ;-)). You need to do the following outside the block:

NSString *requestedSessionIdentifier = sessionIdentifier;

then use that NSString as the argument rather than applying the type conversion inside the block. The WTFString may no longer be around at that time.
Comment 7 Carlos Garcia Campos 2018-06-12 23:45:32 PDT
Created attachment 342639 [details]
Updated patch
Comment 8 Brian Burg 2018-06-13 08:35:07 PDT
Comment on attachment 342639 [details]
Updated patch

r=me
Comment 9 Carlos Garcia Campos 2018-06-14 00:23:53 PDT
Committed r232833: <https://trac.webkit.org/changeset/232833>
Comment 10 Radar WebKit Bug Importer 2018-06-14 00:25:14 PDT
<rdar://problem/41117014>